IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network244.112.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
244.112.0.0- Broadcast address
244.119.255.255- First usable
244.112.0.1- Last usable
244.119.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F4700000· Integer4100980736to4101505023 - Reverse DNS zones
112.244.in-addr.arpa113.244.in-addr.arpa114.244.in-addr.arpa115.244.in-addr.arpa116.244.in-addr.arpa117.244.in-addr.arpa118.244.in-addr.arpa119.244.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110100.01110000.00000000.00000000 | 244.112.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 11110100.01110000.00000000.00000000 | 244.112.0.0 |
| Broadcast | 11110100.01110111.11111111.11111111 | 244.119.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
244.112.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 244.112.0.0/23 | 244.112.0.1 to 244.112.1.254 | 244.112.1.255 | 510 |
| 2 | 244.112.2.0/23 | 244.112.2.1 to 244.112.3.254 | 244.112.3.255 | 510 |
| 3 | 244.112.4.0/23 | 244.112.4.1 to 244.112.5.254 | 244.112.5.255 | 510 |
| 4 | 244.112.6.0/23 | 244.112.6.1 to 244.112.7.254 | 244.112.7.255 | 510 |
| 5 | 244.112.8.0/23 | 244.112.8.1 to 244.112.9.254 | 244.112.9.255 | 510 |
| 6 | 244.112.10.0/23 | 244.112.10.1 to 244.112.11.254 | 244.112.11.255 | 510 |
| 7 | 244.112.12.0/23 | 244.112.12.1 to 244.112.13.254 | 244.112.13.255 | 510 |
| 8 | 244.112.14.0/23 | 244.112.14.1 to 244.112.15.254 | 244.112.15.255 | 510 |
| 9 | 244.112.16.0/23 | 244.112.16.1 to 244.112.17.254 | 244.112.17.255 | 510 |
| 10 | 244.112.18.0/23 | 244.112.18.1 to 244.112.19.254 | 244.112.19.255 | 510 |
| 11 | 244.112.20.0/23 | 244.112.20.1 to 244.112.21.254 | 244.112.21.255 | 510 |
| 12 | 244.112.22.0/23 | 244.112.22.1 to 244.112.23.254 | 244.112.23.255 | 510 |
| 13 | 244.112.24.0/23 | 244.112.24.1 to 244.112.25.254 | 244.112.25.255 | 510 |
| 14 | 244.112.26.0/23 | 244.112.26.1 to 244.112.27.254 | 244.112.27.255 | 510 |
| 15 | 244.112.28.0/23 | 244.112.28.1 to 244.112.29.254 | 244.112.29.255 | 510 |
| 16 | 244.112.30.0/23 | 244.112.30.1 to 244.112.31.254 | 244.112.31.255 | 510 |
| 17 | 244.112.32.0/23 | 244.112.32.1 to 244.112.33.254 | 244.112.33.255 | 510 |
| 18 | 244.112.34.0/23 | 244.112.34.1 to 244.112.35.254 | 244.112.35.255 | 510 |
| 19 | 244.112.36.0/23 | 244.112.36.1 to 244.112.37.254 | 244.112.37.255 | 510 |
| 20 | 244.112.38.0/23 | 244.112.38.1 to 244.112.39.254 | 244.112.39.255 | 510 |
| 21 | 244.112.40.0/23 | 244.112.40.1 to 244.112.41.254 | 244.112.41.255 | 510 |
| 22 | 244.112.42.0/23 | 244.112.42.1 to 244.112.43.254 | 244.112.43.255 | 510 |
| 23 | 244.112.44.0/23 | 244.112.44.1 to 244.112.45.254 | 244.112.45.255 | 510 |
| 24 | 244.112.46.0/23 | 244.112.46.1 to 244.112.47.254 | 244.112.47.255 | 510 |
| 25 | 244.112.48.0/23 | 244.112.48.1 to 244.112.49.254 | 244.112.49.255 | 510 |
| 26 | 244.112.50.0/23 | 244.112.50.1 to 244.112.51.254 | 244.112.51.255 | 510 |
| 27 | 244.112.52.0/23 | 244.112.52.1 to 244.112.53.254 | 244.112.53.255 | 510 |
| 28 | 244.112.54.0/23 | 244.112.54.1 to 244.112.55.254 | 244.112.55.255 | 510 |
| 29 | 244.112.56.0/23 | 244.112.56.1 to 244.112.57.254 | 244.112.57.255 | 510 |
| 30 | 244.112.58.0/23 | 244.112.58.1 to 244.112.59.254 | 244.112.59.255 | 510 |
| 31 | 244.112.60.0/23 | 244.112.60.1 to 244.112.61.254 | 244.112.61.255 | 510 |
| 32 | 244.112.62.0/23 | 244.112.62.1 to 244.112.63.254 | 244.112.63.255 | 510 |
| 33 | 244.112.64.0/23 | 244.112.64.1 to 244.112.65.254 | 244.112.65.255 | 510 |
| 34 | 244.112.66.0/23 | 244.112.66.1 to 244.112.67.254 | 244.112.67.255 | 510 |
| 35 | 244.112.68.0/23 | 244.112.68.1 to 244.112.69.254 | 244.112.69.255 | 510 |
| 36 | 244.112.70.0/23 | 244.112.70.1 to 244.112.71.254 | 244.112.71.255 | 510 |
| 37 | 244.112.72.0/23 | 244.112.72.1 to 244.112.73.254 | 244.112.73.255 | 510 |
| 38 | 244.112.74.0/23 | 244.112.74.1 to 244.112.75.254 | 244.112.75.255 | 510 |
| 39 | 244.112.76.0/23 | 244.112.76.1 to 244.112.77.254 | 244.112.77.255 | 510 |
| 40 | 244.112.78.0/23 | 244.112.78.1 to 244.112.79.254 | 244.112.79.255 | 510 |
| 41 | 244.112.80.0/23 | 244.112.80.1 to 244.112.81.254 | 244.112.81.255 | 510 |
| 42 | 244.112.82.0/23 | 244.112.82.1 to 244.112.83.254 | 244.112.83.255 | 510 |
| 43 | 244.112.84.0/23 | 244.112.84.1 to 244.112.85.254 | 244.112.85.255 | 510 |
| 44 | 244.112.86.0/23 | 244.112.86.1 to 244.112.87.254 | 244.112.87.255 | 510 |
| 45 | 244.112.88.0/23 | 244.112.88.1 to 244.112.89.254 | 244.112.89.255 | 510 |
| 46 | 244.112.90.0/23 | 244.112.90.1 to 244.112.91.254 | 244.112.91.255 | 510 |
| 47 | 244.112.92.0/23 | 244.112.92.1 to 244.112.93.254 | 244.112.93.255 | 510 |
| 48 | 244.112.94.0/23 | 244.112.94.1 to 244.112.95.254 | 244.112.95.255 | 510 |
| 49 | 244.112.96.0/23 | 244.112.96.1 to 244.112.97.254 | 244.112.97.255 | 510 |
| 50 | 244.112.98.0/23 | 244.112.98.1 to 244.112.99.254 | 244.112.99.255 | 510 |
| 51 | 244.112.100.0/23 | 244.112.100.1 to 244.112.101.254 | 244.112.101.255 | 510 |
| 52 | 244.112.102.0/23 | 244.112.102.1 to 244.112.103.254 | 244.112.103.255 | 510 |
| 53 | 244.112.104.0/23 | 244.112.104.1 to 244.112.105.254 | 244.112.105.255 | 510 |
| 54 | 244.112.106.0/23 | 244.112.106.1 to 244.112.107.254 | 244.112.107.255 | 510 |
| 55 | 244.112.108.0/23 | 244.112.108.1 to 244.112.109.254 | 244.112.109.255 | 510 |
| 56 | 244.112.110.0/23 | 244.112.110.1 to 244.112.111.254 | 244.112.111.255 | 510 |
| 57 | 244.112.112.0/23 | 244.112.112.1 to 244.112.113.254 | 244.112.113.255 | 510 |
| 58 | 244.112.114.0/23 | 244.112.114.1 to 244.112.115.254 | 244.112.115.255 | 510 |
| 59 | 244.112.116.0/23 | 244.112.116.1 to 244.112.117.254 | 244.112.117.255 | 510 |
| 60 | 244.112.118.0/23 | 244.112.118.1 to 244.112.119.254 | 244.112.119.255 | 510 |
| 61 | 244.112.120.0/23 | 244.112.120.1 to 244.112.121.254 | 244.112.121.255 | 510 |
| 62 | 244.112.122.0/23 | 244.112.122.1 to 244.112.123.254 | 244.112.123.255 | 510 |
| 63 | 244.112.124.0/23 | 244.112.124.1 to 244.112.125.254 | 244.112.125.255 | 510 |
| 64 | 244.112.126.0/23 | 244.112.126.1 to 244.112.127.254 | 244.112.127.255 | 510 |
| 65 | 244.112.128.0/23 | 244.112.128.1 to 244.112.129.254 | 244.112.129.255 | 510 |
| 66 | 244.112.130.0/23 | 244.112.130.1 to 244.112.131.254 | 244.112.131.255 | 510 |
| 67 | 244.112.132.0/23 | 244.112.132.1 to 244.112.133.254 | 244.112.133.255 | 510 |
| 68 | 244.112.134.0/23 | 244.112.134.1 to 244.112.135.254 | 244.112.135.255 | 510 |
| 69 | 244.112.136.0/23 | 244.112.136.1 to 244.112.137.254 | 244.112.137.255 | 510 |
| 70 | 244.112.138.0/23 | 244.112.138.1 to 244.112.139.254 | 244.112.139.255 | 510 |
| 71 | 244.112.140.0/23 | 244.112.140.1 to 244.112.141.254 | 244.112.141.255 | 510 |
| 72 | 244.112.142.0/23 | 244.112.142.1 to 244.112.143.254 | 244.112.143.255 | 510 |
| 73 | 244.112.144.0/23 | 244.112.144.1 to 244.112.145.254 | 244.112.145.255 | 510 |
| 74 | 244.112.146.0/23 | 244.112.146.1 to 244.112.147.254 | 244.112.147.255 | 510 |
| 75 | 244.112.148.0/23 | 244.112.148.1 to 244.112.149.254 | 244.112.149.255 | 510 |
| 76 | 244.112.150.0/23 | 244.112.150.1 to 244.112.151.254 | 244.112.151.255 | 510 |
| 77 | 244.112.152.0/23 | 244.112.152.1 to 244.112.153.254 | 244.112.153.255 | 510 |
| 78 | 244.112.154.0/23 | 244.112.154.1 to 244.112.155.254 | 244.112.155.255 | 510 |
| 79 | 244.112.156.0/23 | 244.112.156.1 to 244.112.157.254 | 244.112.157.255 | 510 |
| 80 | 244.112.158.0/23 | 244.112.158.1 to 244.112.159.254 | 244.112.159.255 | 510 |
| 81 | 244.112.160.0/23 | 244.112.160.1 to 244.112.161.254 | 244.112.161.255 | 510 |
| 82 | 244.112.162.0/23 | 244.112.162.1 to 244.112.163.254 | 244.112.163.255 | 510 |
| 83 | 244.112.164.0/23 | 244.112.164.1 to 244.112.165.254 | 244.112.165.255 | 510 |
| 84 | 244.112.166.0/23 | 244.112.166.1 to 244.112.167.254 | 244.112.167.255 | 510 |
| 85 | 244.112.168.0/23 | 244.112.168.1 to 244.112.169.254 | 244.112.169.255 | 510 |
| 86 | 244.112.170.0/23 | 244.112.170.1 to 244.112.171.254 | 244.112.171.255 | 510 |
| 87 | 244.112.172.0/23 | 244.112.172.1 to 244.112.173.254 | 244.112.173.255 | 510 |
| 88 | 244.112.174.0/23 | 244.112.174.1 to 244.112.175.254 | 244.112.175.255 | 510 |
| 89 | 244.112.176.0/23 | 244.112.176.1 to 244.112.177.254 | 244.112.177.255 | 510 |
| 90 | 244.112.178.0/23 | 244.112.178.1 to 244.112.179.254 | 244.112.179.255 | 510 |
| 91 | 244.112.180.0/23 | 244.112.180.1 to 244.112.181.254 | 244.112.181.255 | 510 |
| 92 | 244.112.182.0/23 | 244.112.182.1 to 244.112.183.254 | 244.112.183.255 | 510 |
| 93 | 244.112.184.0/23 | 244.112.184.1 to 244.112.185.254 | 244.112.185.255 | 510 |
| 94 | 244.112.186.0/23 | 244.112.186.1 to 244.112.187.254 | 244.112.187.255 | 510 |
| 95 | 244.112.188.0/23 | 244.112.188.1 to 244.112.189.254 | 244.112.189.255 | 510 |
| 96 | 244.112.190.0/23 | 244.112.190.1 to 244.112.191.254 | 244.112.191.255 | 510 |
| 97 | 244.112.192.0/23 | 244.112.192.1 to 244.112.193.254 | 244.112.193.255 | 510 |
| 98 | 244.112.194.0/23 | 244.112.194.1 to 244.112.195.254 | 244.112.195.255 | 510 |
| 99 | 244.112.196.0/23 | 244.112.196.1 to 244.112.197.254 | 244.112.197.255 | 510 |
| 100 | 244.112.198.0/23 | 244.112.198.1 to 244.112.199.254 | 244.112.199.255 | 510 |
| 101 | 244.112.200.0/23 | 244.112.200.1 to 244.112.201.254 | 244.112.201.255 | 510 |
| 102 | 244.112.202.0/23 | 244.112.202.1 to 244.112.203.254 | 244.112.203.255 | 510 |
| 103 | 244.112.204.0/23 | 244.112.204.1 to 244.112.205.254 | 244.112.205.255 | 510 |
| 104 | 244.112.206.0/23 | 244.112.206.1 to 244.112.207.254 | 244.112.207.255 | 510 |
| 105 | 244.112.208.0/23 | 244.112.208.1 to 244.112.209.254 | 244.112.209.255 | 510 |
| 106 | 244.112.210.0/23 | 244.112.210.1 to 244.112.211.254 | 244.112.211.255 | 510 |
| 107 | 244.112.212.0/23 | 244.112.212.1 to 244.112.213.254 | 244.112.213.255 | 510 |
| 108 | 244.112.214.0/23 | 244.112.214.1 to 244.112.215.254 | 244.112.215.255 | 510 |
| 109 | 244.112.216.0/23 | 244.112.216.1 to 244.112.217.254 | 244.112.217.255 | 510 |
| 110 | 244.112.218.0/23 | 244.112.218.1 to 244.112.219.254 | 244.112.219.255 | 510 |
| 111 | 244.112.220.0/23 | 244.112.220.1 to 244.112.221.254 | 244.112.221.255 | 510 |
| 112 | 244.112.222.0/23 | 244.112.222.1 to 244.112.223.254 | 244.112.223.255 | 510 |
| 113 | 244.112.224.0/23 | 244.112.224.1 to 244.112.225.254 | 244.112.225.255 | 510 |
| 114 | 244.112.226.0/23 | 244.112.226.1 to 244.112.227.254 | 244.112.227.255 | 510 |
| 115 | 244.112.228.0/23 | 244.112.228.1 to 244.112.229.254 | 244.112.229.255 | 510 |
| 116 | 244.112.230.0/23 | 244.112.230.1 to 244.112.231.254 | 244.112.231.255 | 510 |
| 117 | 244.112.232.0/23 | 244.112.232.1 to 244.112.233.254 | 244.112.233.255 | 510 |
| 118 | 244.112.234.0/23 | 244.112.234.1 to 244.112.235.254 | 244.112.235.255 | 510 |
| 119 | 244.112.236.0/23 | 244.112.236.1 to 244.112.237.254 | 244.112.237.255 | 510 |
| 120 | 244.112.238.0/23 | 244.112.238.1 to 244.112.239.254 | 244.112.239.255 | 510 |
| 121 | 244.112.240.0/23 | 244.112.240.1 to 244.112.241.254 | 244.112.241.255 | 510 |
| 122 | 244.112.242.0/23 | 244.112.242.1 to 244.112.243.254 | 244.112.243.255 | 510 |
| 123 | 244.112.244.0/23 | 244.112.244.1 to 244.112.245.254 | 244.112.245.255 | 510 |
| 124 | 244.112.246.0/23 | 244.112.246.1 to 244.112.247.254 | 244.112.247.255 | 510 |
| 125 | 244.112.248.0/23 | 244.112.248.1 to 244.112.249.254 | 244.112.249.255 | 510 |
| 126 | 244.112.250.0/23 | 244.112.250.1 to 244.112.251.254 | 244.112.251.255 | 510 |
| 127 | 244.112.252.0/23 | 244.112.252.1 to 244.112.253.254 | 244.112.253.255 | 510 |
| 128 | 244.112.254.0/23 | 244.112.254.1 to 244.112.255.254 | 244.112.255.255 | 510 |
| 129 | 244.113.0.0/23 | 244.113.0.1 to 244.113.1.254 | 244.113.1.255 | 510 |
| 130 | 244.113.2.0/23 | 244.113.2.1 to 244.113.3.254 | 244.113.3.255 | 510 |
| 131 | 244.113.4.0/23 | 244.113.4.1 to 244.113.5.254 | 244.113.5.255 | 510 |
| 132 | 244.113.6.0/23 | 244.113.6.1 to 244.113.7.254 | 244.113.7.255 | 510 |
| 133 | 244.113.8.0/23 | 244.113.8.1 to 244.113.9.254 | 244.113.9.255 | 510 |
| 134 | 244.113.10.0/23 | 244.113.10.1 to 244.113.11.254 | 244.113.11.255 | 510 |
| 135 | 244.113.12.0/23 | 244.113.12.1 to 244.113.13.254 | 244.113.13.255 | 510 |
| 136 | 244.113.14.0/23 | 244.113.14.1 to 244.113.15.254 | 244.113.15.255 | 510 |
| 137 | 244.113.16.0/23 | 244.113.16.1 to 244.113.17.254 | 244.113.17.255 | 510 |
| 138 | 244.113.18.0/23 | 244.113.18.1 to 244.113.19.254 | 244.113.19.255 | 510 |
| 139 | 244.113.20.0/23 | 244.113.20.1 to 244.113.21.254 | 244.113.21.255 | 510 |
| 140 | 244.113.22.0/23 | 244.113.22.1 to 244.113.23.254 | 244.113.23.255 | 510 |
| 141 | 244.113.24.0/23 | 244.113.24.1 to 244.113.25.254 | 244.113.25.255 | 510 |
| 142 | 244.113.26.0/23 | 244.113.26.1 to 244.113.27.254 | 244.113.27.255 | 510 |
| 143 | 244.113.28.0/23 | 244.113.28.1 to 244.113.29.254 | 244.113.29.255 | 510 |
| 144 | 244.113.30.0/23 | 244.113.30.1 to 244.113.31.254 | 244.113.31.255 | 510 |
| 145 | 244.113.32.0/23 | 244.113.32.1 to 244.113.33.254 | 244.113.33.255 | 510 |
| 146 | 244.113.34.0/23 | 244.113.34.1 to 244.113.35.254 | 244.113.35.255 | 510 |
| 147 | 244.113.36.0/23 | 244.113.36.1 to 244.113.37.254 | 244.113.37.255 | 510 |
| 148 | 244.113.38.0/23 | 244.113.38.1 to 244.113.39.254 | 244.113.39.255 | 510 |
| 149 | 244.113.40.0/23 | 244.113.40.1 to 244.113.41.254 | 244.113.41.255 | 510 |
| 150 | 244.113.42.0/23 | 244.113.42.1 to 244.113.43.254 | 244.113.43.255 | 510 |
| 151 | 244.113.44.0/23 | 244.113.44.1 to 244.113.45.254 | 244.113.45.255 | 510 |
| 152 | 244.113.46.0/23 | 244.113.46.1 to 244.113.47.254 | 244.113.47.255 | 510 |
| 153 | 244.113.48.0/23 | 244.113.48.1 to 244.113.49.254 | 244.113.49.255 | 510 |
| 154 | 244.113.50.0/23 | 244.113.50.1 to 244.113.51.254 | 244.113.51.255 | 510 |
| 155 | 244.113.52.0/23 | 244.113.52.1 to 244.113.53.254 | 244.113.53.255 | 510 |
| 156 | 244.113.54.0/23 | 244.113.54.1 to 244.113.55.254 | 244.113.55.255 | 510 |
| 157 | 244.113.56.0/23 | 244.113.56.1 to 244.113.57.254 | 244.113.57.255 | 510 |
| 158 | 244.113.58.0/23 | 244.113.58.1 to 244.113.59.254 | 244.113.59.255 | 510 |
| 159 | 244.113.60.0/23 | 244.113.60.1 to 244.113.61.254 | 244.113.61.255 | 510 |
| 160 | 244.113.62.0/23 | 244.113.62.1 to 244.113.63.254 | 244.113.63.255 | 510 |
| 161 | 244.113.64.0/23 | 244.113.64.1 to 244.113.65.254 | 244.113.65.255 | 510 |
| 162 | 244.113.66.0/23 | 244.113.66.1 to 244.113.67.254 | 244.113.67.255 | 510 |
| 163 | 244.113.68.0/23 | 244.113.68.1 to 244.113.69.254 | 244.113.69.255 | 510 |
| 164 | 244.113.70.0/23 | 244.113.70.1 to 244.113.71.254 | 244.113.71.255 | 510 |
| 165 | 244.113.72.0/23 | 244.113.72.1 to 244.113.73.254 | 244.113.73.255 | 510 |
| 166 | 244.113.74.0/23 | 244.113.74.1 to 244.113.75.254 | 244.113.75.255 | 510 |
| 167 | 244.113.76.0/23 | 244.113.76.1 to 244.113.77.254 | 244.113.77.255 | 510 |
| 168 | 244.113.78.0/23 | 244.113.78.1 to 244.113.79.254 | 244.113.79.255 | 510 |
| 169 | 244.113.80.0/23 | 244.113.80.1 to 244.113.81.254 | 244.113.81.255 | 510 |
| 170 | 244.113.82.0/23 | 244.113.82.1 to 244.113.83.254 | 244.113.83.255 | 510 |
| 171 | 244.113.84.0/23 | 244.113.84.1 to 244.113.85.254 | 244.113.85.255 | 510 |
| 172 | 244.113.86.0/23 | 244.113.86.1 to 244.113.87.254 | 244.113.87.255 | 510 |
| 173 | 244.113.88.0/23 | 244.113.88.1 to 244.113.89.254 | 244.113.89.255 | 510 |
| 174 | 244.113.90.0/23 | 244.113.90.1 to 244.113.91.254 | 244.113.91.255 | 510 |
| 175 | 244.113.92.0/23 | 244.113.92.1 to 244.113.93.254 | 244.113.93.255 | 510 |
| 176 | 244.113.94.0/23 | 244.113.94.1 to 244.113.95.254 | 244.113.95.255 | 510 |
| 177 | 244.113.96.0/23 | 244.113.96.1 to 244.113.97.254 | 244.113.97.255 | 510 |
| 178 | 244.113.98.0/23 | 244.113.98.1 to 244.113.99.254 | 244.113.99.255 | 510 |
| 179 | 244.113.100.0/23 | 244.113.100.1 to 244.113.101.254 | 244.113.101.255 | 510 |
| 180 | 244.113.102.0/23 | 244.113.102.1 to 244.113.103.254 | 244.113.103.255 | 510 |
| 181 | 244.113.104.0/23 | 244.113.104.1 to 244.113.105.254 | 244.113.105.255 | 510 |
| 182 | 244.113.106.0/23 | 244.113.106.1 to 244.113.107.254 | 244.113.107.255 | 510 |
| 183 | 244.113.108.0/23 | 244.113.108.1 to 244.113.109.254 | 244.113.109.255 | 510 |
| 184 | 244.113.110.0/23 | 244.113.110.1 to 244.113.111.254 | 244.113.111.255 | 510 |
| 185 | 244.113.112.0/23 | 244.113.112.1 to 244.113.113.254 | 244.113.113.255 | 510 |
| 186 | 244.113.114.0/23 | 244.113.114.1 to 244.113.115.254 | 244.113.115.255 | 510 |
| 187 | 244.113.116.0/23 | 244.113.116.1 to 244.113.117.254 | 244.113.117.255 | 510 |
| 188 | 244.113.118.0/23 | 244.113.118.1 to 244.113.119.254 | 244.113.119.255 | 510 |
| 189 | 244.113.120.0/23 | 244.113.120.1 to 244.113.121.254 | 244.113.121.255 | 510 |
| 190 | 244.113.122.0/23 | 244.113.122.1 to 244.113.123.254 | 244.113.123.255 | 510 |
| 191 | 244.113.124.0/23 | 244.113.124.1 to 244.113.125.254 | 244.113.125.255 | 510 |
| 192 | 244.113.126.0/23 | 244.113.126.1 to 244.113.127.254 | 244.113.127.255 | 510 |
| 193 | 244.113.128.0/23 | 244.113.128.1 to 244.113.129.254 | 244.113.129.255 | 510 |
| 194 | 244.113.130.0/23 | 244.113.130.1 to 244.113.131.254 | 244.113.131.255 | 510 |
| 195 | 244.113.132.0/23 | 244.113.132.1 to 244.113.133.254 | 244.113.133.255 | 510 |
| 196 | 244.113.134.0/23 | 244.113.134.1 to 244.113.135.254 | 244.113.135.255 | 510 |
| 197 | 244.113.136.0/23 | 244.113.136.1 to 244.113.137.254 | 244.113.137.255 | 510 |
| 198 | 244.113.138.0/23 | 244.113.138.1 to 244.113.139.254 | 244.113.139.255 | 510 |
| 199 | 244.113.140.0/23 | 244.113.140.1 to 244.113.141.254 | 244.113.141.255 | 510 |
| 200 | 244.113.142.0/23 | 244.113.142.1 to 244.113.143.254 | 244.113.143.255 | 510 |
| 201 | 244.113.144.0/23 | 244.113.144.1 to 244.113.145.254 | 244.113.145.255 | 510 |
| 202 | 244.113.146.0/23 | 244.113.146.1 to 244.113.147.254 | 244.113.147.255 | 510 |
| 203 | 244.113.148.0/23 | 244.113.148.1 to 244.113.149.254 | 244.113.149.255 | 510 |
| 204 | 244.113.150.0/23 | 244.113.150.1 to 244.113.151.254 | 244.113.151.255 | 510 |
| 205 | 244.113.152.0/23 | 244.113.152.1 to 244.113.153.254 | 244.113.153.255 | 510 |
| 206 | 244.113.154.0/23 | 244.113.154.1 to 244.113.155.254 | 244.113.155.255 | 510 |
| 207 | 244.113.156.0/23 | 244.113.156.1 to 244.113.157.254 | 244.113.157.255 | 510 |
| 208 | 244.113.158.0/23 | 244.113.158.1 to 244.113.159.254 | 244.113.159.255 | 510 |
| 209 | 244.113.160.0/23 | 244.113.160.1 to 244.113.161.254 | 244.113.161.255 | 510 |
| 210 | 244.113.162.0/23 | 244.113.162.1 to 244.113.163.254 | 244.113.163.255 | 510 |
| 211 | 244.113.164.0/23 | 244.113.164.1 to 244.113.165.254 | 244.113.165.255 | 510 |
| 212 | 244.113.166.0/23 | 244.113.166.1 to 244.113.167.254 | 244.113.167.255 | 510 |
| 213 | 244.113.168.0/23 | 244.113.168.1 to 244.113.169.254 | 244.113.169.255 | 510 |
| 214 | 244.113.170.0/23 | 244.113.170.1 to 244.113.171.254 | 244.113.171.255 | 510 |
| 215 | 244.113.172.0/23 | 244.113.172.1 to 244.113.173.254 | 244.113.173.255 | 510 |
| 216 | 244.113.174.0/23 | 244.113.174.1 to 244.113.175.254 | 244.113.175.255 | 510 |
| 217 | 244.113.176.0/23 | 244.113.176.1 to 244.113.177.254 | 244.113.177.255 | 510 |
| 218 | 244.113.178.0/23 | 244.113.178.1 to 244.113.179.254 | 244.113.179.255 | 510 |
| 219 | 244.113.180.0/23 | 244.113.180.1 to 244.113.181.254 | 244.113.181.255 | 510 |
| 220 | 244.113.182.0/23 | 244.113.182.1 to 244.113.183.254 | 244.113.183.255 | 510 |
| 221 | 244.113.184.0/23 | 244.113.184.1 to 244.113.185.254 | 244.113.185.255 | 510 |
| 222 | 244.113.186.0/23 | 244.113.186.1 to 244.113.187.254 | 244.113.187.255 | 510 |
| 223 | 244.113.188.0/23 | 244.113.188.1 to 244.113.189.254 | 244.113.189.255 | 510 |
| 224 | 244.113.190.0/23 | 244.113.190.1 to 244.113.191.254 | 244.113.191.255 | 510 |
| 225 | 244.113.192.0/23 | 244.113.192.1 to 244.113.193.254 | 244.113.193.255 | 510 |
| 226 | 244.113.194.0/23 | 244.113.194.1 to 244.113.195.254 | 244.113.195.255 | 510 |
| 227 | 244.113.196.0/23 | 244.113.196.1 to 244.113.197.254 | 244.113.197.255 | 510 |
| 228 | 244.113.198.0/23 | 244.113.198.1 to 244.113.199.254 | 244.113.199.255 | 510 |
| 229 | 244.113.200.0/23 | 244.113.200.1 to 244.113.201.254 | 244.113.201.255 | 510 |
| 230 | 244.113.202.0/23 | 244.113.202.1 to 244.113.203.254 | 244.113.203.255 | 510 |
| 231 | 244.113.204.0/23 | 244.113.204.1 to 244.113.205.254 | 244.113.205.255 | 510 |
| 232 | 244.113.206.0/23 | 244.113.206.1 to 244.113.207.254 | 244.113.207.255 | 510 |
| 233 | 244.113.208.0/23 | 244.113.208.1 to 244.113.209.254 | 244.113.209.255 | 510 |
| 234 | 244.113.210.0/23 | 244.113.210.1 to 244.113.211.254 | 244.113.211.255 | 510 |
| 235 | 244.113.212.0/23 | 244.113.212.1 to 244.113.213.254 | 244.113.213.255 | 510 |
| 236 | 244.113.214.0/23 | 244.113.214.1 to 244.113.215.254 | 244.113.215.255 | 510 |
| 237 | 244.113.216.0/23 | 244.113.216.1 to 244.113.217.254 | 244.113.217.255 | 510 |
| 238 | 244.113.218.0/23 | 244.113.218.1 to 244.113.219.254 | 244.113.219.255 | 510 |
| 239 | 244.113.220.0/23 | 244.113.220.1 to 244.113.221.254 | 244.113.221.255 | 510 |
| 240 | 244.113.222.0/23 | 244.113.222.1 to 244.113.223.254 | 244.113.223.255 | 510 |
| 241 | 244.113.224.0/23 | 244.113.224.1 to 244.113.225.254 | 244.113.225.255 | 510 |
| 242 | 244.113.226.0/23 | 244.113.226.1 to 244.113.227.254 | 244.113.227.255 | 510 |
| 243 | 244.113.228.0/23 | 244.113.228.1 to 244.113.229.254 | 244.113.229.255 | 510 |
| 244 | 244.113.230.0/23 | 244.113.230.1 to 244.113.231.254 | 244.113.231.255 | 510 |
| 245 | 244.113.232.0/23 | 244.113.232.1 to 244.113.233.254 | 244.113.233.255 | 510 |
| 246 | 244.113.234.0/23 | 244.113.234.1 to 244.113.235.254 | 244.113.235.255 | 510 |
| 247 | 244.113.236.0/23 | 244.113.236.1 to 244.113.237.254 | 244.113.237.255 | 510 |
| 248 | 244.113.238.0/23 | 244.113.238.1 to 244.113.239.254 | 244.113.239.255 | 510 |
| 249 | 244.113.240.0/23 | 244.113.240.1 to 244.113.241.254 | 244.113.241.255 | 510 |
| 250 | 244.113.242.0/23 | 244.113.242.1 to 244.113.243.254 | 244.113.243.255 | 510 |
| 251 | 244.113.244.0/23 | 244.113.244.1 to 244.113.245.254 | 244.113.245.255 | 510 |
| 252 | 244.113.246.0/23 | 244.113.246.1 to 244.113.247.254 | 244.113.247.255 | 510 |
| 253 | 244.113.248.0/23 | 244.113.248.1 to 244.113.249.254 | 244.113.249.255 | 510 |
| 254 | 244.113.250.0/23 | 244.113.250.1 to 244.113.251.254 | 244.113.251.255 | 510 |
| 255 | 244.113.252.0/23 | 244.113.252.1 to 244.113.253.254 | 244.113.253.255 | 510 |
| 256 | 244.113.254.0/23 | 244.113.254.1 to 244.113.255.254 | 244.113.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |